libgphoto2 photo camera library (libgphoto2) API 2.5.29

Data Fields
_CameraFilesystem Struct Reference

The internal camera filesystem structure. More...

## Data Fields
CameraFilesystemFolder * | rootfolder
CameraFilesystemFile * | lru_first
CameraFilesystemFile * | lru_last
unsigned long int | lru_size
CameraFilesystemGetInfoFunc | get_info_func
CameraFilesystemSetInfoFunc | set_info_func
CameraFilesystemListFunc | file_list_func
CameraFilesystemListFunc | folder_list_func
CameraFilesystemGetFileFunc | get_file_func
CameraFilesystemReadFileFunc | read_file_func
CameraFilesystemDeleteFileFunc | delete_file_func
CameraFilesystemPutFileFunc | put_file_func
CameraFilesystemDeleteAllFunc | delete_all_func
CameraFilesystemDirFunc | make_dir_func
CameraFilesystemDirFunc | remove_dir_func
CameraFilesystemStorageInfoFunc | storage_info_func
void * | data

## Detailed Description

The internal camera filesystem structure.

The internals of the CameraFilesystem are only visible to gphoto2. You can only access them using the functions provided by gphoto2.

The documentation for this struct was generated from the following file:

- libgphoto2/gphoto2-filesys.c